#!/bin/sh
# Run Xalan, as installed on this machine, from anywhere.
# RBLandau 20070909
#

#xalan="/cygdrive/c/Program files/xalan"
#oldclasspath="$CLASSPATH"
#CLASSPATH="$CLASSSPATH;$xalan;$xalan/xalan.jar;$xalan/serializer.jar;$xalan/xml-apis.jar;$xalan/xercesImpl.jar"
xalan="C:\\Program files\\xalan"
oldclasspath="$CLASSPATH"
CLASSPATH="$CLASSPATH%;$xalan;$xalan\\xalan.jar;$xalan%\serializer.jar;$xalan\\xml-apis.jar;$xalan\\xercesImpl.jar"
export xalan
export CLASSPATH

if [ -z "$2" ] 
then 
    echo Usage: run_xalan  input-xml-file  xsl-file  [output-file]
    exit 0
fi

if [ -n "$3" ]
then
    java org.apache.xalan.xslt.Process -IN $1 -XSL $2 -OUT $3 $4 $5
fi

if [ -n "$2" ]
then
    java org.apache.xalan.xslt.Process -IN $1 -XSL $2
fi

CLASSPATH=$oldclasspath
# end
